Dies ist lac.info, hergestellt von Makeinfo Version 4.7 aus
/usr2s/users/huber/extest/Progs/ex016/lac/texi/lac.texi.

# Anleitung zum Auswerteprogramm LAC #
**************************************

*(Auswertung von Ion-Ion-Koinzidenz-List-Mode-Spektren (Labor 016))*

29.Apr.1992 K. Huber, Strahlenzentrum Univ. Gießen
Version 21.Jul.2004

1 Über diese Anleitung
**********************

Diese Anleitung zum LAC-Auswerteprogramm steht in verschiedenen
Formaten zur Verfügung. Die entsprechenden Files finden Sie auf dem
Servix unter /usr/exp/ex_help oder auf Ihrem Experiment-Account unter
$HOME/ex_home/ex_help:

     lac.txt     Text-Format, kann z.B. mit `a2ps' in handlichem Format
                 gedruckt werden.
     lac.dvi     DVI-Format, kann z.B. mit `dvips' auf einem
                 Postscript-Drucker gedruckt werden oder mit `xdvi' auf
                 einem X-Windows Bildschirm dargestellt werden.
     lac.html    HTML-Format, kann mit jedem HTML-Browser (z.B.
                 `netscape') gelesen werden.
     lac.info    INFO-Format, kann mit dem `GNU-Info-Browser' (`info -f
                 lac.info') und `GNU-emacs' gelesen werden.  So wird der
                 Info-Browser bedient (Start mit Tastenfolge TAB, ENTER):
                 info.  (Zurück mit L, L, ...).
     lac.pdf     PDF-Format, mit dem `Acrobat-Reader' zu lesen.

2 Funktion von LAC
******************

2.1 Überblick
=============

Für das Ion-Ion-Experiment existieren folgende
Datenerfassungsprogramme:
[(...) = noch nicht auf VME-System portiert]
  (IBP  Ion-Beam-Profile - neuer Strahl-Analysierer (Timo-mat))
   IIF  Ion-Ion Formfactor - alter Strahl-Analysierer
   IIC  Ion-Ion Coincidence
   IIP  Ion-Ion Pulsed Beam
   LIC  Ion-Ion Coincidence List Mode
  (LIP  Ion-Ion Pulsed Beam List Mode)
   IIM  Ion-Ion Position-Matrix

Sowie die Auswerteprogramme:
   IAC  für IIC-Spektren
   IAP  für IIP-Spektren
   LAC  für LIC-List-Mode-Daten
  (LAP  für LIP-List-Mode-Daten)

   Die List-Mode-Daten einer LIC-Messung enthalten Zeitinformationen,
Ion-Ion-Laufzeitdaten und Positionsdaten für die Reaktionsprodukte.
Das LAC-Programm extrahiert aus den List-Mode-Daten in einem
vorgegebenen Zeitbereich ein Ion-Ion-Laufzeitspektrum und eine
Positionsmatrix für den Koinzidenzbereich, sowie je eine
Positionsmatrix für rechten und linken Untergrund, die zur weiteren
Verarbeitung als ASCII-File und im binären Strahlenzentrumsformat
abgespeichert werden können.

   Ferner erlaubt LAC die Berechnung eines Wirkungsquerschnittes aus dem
extrahierten Laufzeitspektrum bzw. aus dem totalen Laufzeitspektrum,
das in dem LIC-Datensatz enthalten ist und ein bis neun
Formfaktor-Messungen (IIF- bzw. IBP-Messprogramm) mit dem gleichen
Formalismus, den auch das IAC-Programm verwendet (see
Wirkungsquerschnittsberechnung.).

   Zum Extrahieren der Spektren verlangt LAC zuerst die Angabe eines
Zeitfensters für einen zeitlichen Ausschnitt aus den List-Mode-Daten.
Innerhalb dieses Fensters akkumuliert LAC ein Laufzeitspektrum, das es
anschließend zum Setzen von vier Markern zum Abgrenzen des Koinzidenz-
und der Untergrund-Bereiche graphisch darstellt.

   Nach Eingabe der Marker werden innerhalb des vorgegebenen
Zeitfensters die drei Positionsmatrizen für Koinzidenz- und
Untergrund-Bereiche akkumuliert.

   Anlässlich eines Umbaus des Experimentes (Aug. 94) auf einen neuen
Strahlanalysierer (Timo-Mat) wurde das IIF Messprogramm durch das IBP
Messprogramm ersetzt und der Realtime-Takt von 1Hz auf 10Hz erhöht. LAC
wurde entsprechend geändert, so dass es sowohl die alten LIC-Spektren
(1Hz Takt) als auch die neuen (10Hz Takt) zusammen mit IIF- oder
IBP-Formfaktorspektren verarbeiten kann.  Als IBP-Spektren werden nur
vertikale Scans mit der Schlitz-Option akzeptiert.  Ein Mix von IIF-
und IBP-Spektren ist jedoch nicht möglich.
_Hinweis:_
Inzwischen (seit 2000) ist der neue Strahlanalysierer wegen mechanischer
Mängel wieder durch den alten ersetzt worden, und die
Formfaktorspektren werden jetzt wieder mit dem IIF-Programm gemessen.

   Auf allen Plattformen können jetzt sowohl die alten, mit
PDP11-Systemen gemessenen, als auch die neuen, mit VME-Systemen
gemessenen Spektren, trotz unterschiedlicher
Floatingpoint-Darstellungen, ausgewertet werden.

   Das LAC-Programm kann von dem LIC-Messprogramm gestartet werden
unter dem Menü-Punkt "Analyse Spectrum". Es wird dann die gerade
laufende LIC-Messung online ausgewertet. Der Start von LAC erfolgt in
diesem Fall üblicherweise unter Umgehung des Hauptmenüs. Die Rückkehr
ins Hauptmenü von LAC kann jedoch durch ^Z erzwungen werden. Dort kann
unter dem Menüpunkt "Set Configuration" ein anderes Verhalten beim
Start durch LIC eingestellt werden (see Startup mode.).

LAC ist zur Zeit lauffähig auf folgenden Plattformen:
   * VME Experiment-Rechner-System mit VxWorks Betriebssystem

   * DS5000 Workstations mit Ultrix Betriebssystem (Tutnix, Kannix,
     Hatnix)

   * AlphaServer mit True-64-Unix Betriebssystem (Servix)

   * PC mit Linux Betriebssystem (Atomix)

   Als Bildschirm wird ein  *VT240/330/340* Terminal, ein Unix-Host mit
*xterm* oder *dxterm* oder ein PC mit *TeraTerm* benötigt.

2.2 Wirkungsquerschnittsberechnung
==================================

*Untergrundbestimmung:*
Für niedrige Zählraten ist der Untergrund eine horizontale Gerade. Bei
höheren Raten nimmt er durch Totzeitverluste im TPC die Form
_y = a * exp(-b*x)_ an. Er wird deshalb durch einen Least-Squares-Fit
mit _y = a * exp(-b*x)_ bestimmt.

   Wenn der Untergrund eine horizontale Gerade ist, gehören alle
Messpunkte der gleichen statistischen Gesamtheit an und eine gleiche
Wichtung für alle Punkte ist angebracht (z.B. _w = 1/a_).

   Wenn der Untergrund exponentiell abfällt, gehören die Messpunkte zu
unterschiedlichen statistischen Gesamtheiten und benötigen
unterschiedliche Wichtungen (z.B. _w = 1/yi_).

   Ist yi der "wahre" Wert an xi, so wie ihn die Fit-Funktion ermitteln
soll, so ist _w = 1/yi_ für beide Fälle richtig. Aber am Anfang ist der
"wahre" Wert unbekannt, deshalb wird normalerweise statt dessen der
Messwert yi genommen. Dies führt aber bei niedrigen Raten dazu, dass
die UG-Gerade merklich zu tief rutscht, weil die tieferen Messwerte
höheres Gewicht haben. In einem kongreten Fall war der Unterschied 0.44
zu 0.53 für a! Ein auf solche Art gewichteter Fit ist nicht
flächentreu, und die Chi-Quadrat-Korrektur (BEV, S248) ist nur für die
beteiligten Kanäle, nicht jedoch für die Untergrundfläche unter dem
Peak gültig.

   _Lösung:_
Zunächst werden die Wichtungen aus den Messwerten gerechnet. Nach
Konvergenz des Fits werden die Wichtungen neu gerechnet und (zusammen
mit dem Marquart _Flamda = 0_) der Fit mit erneuten Iterationen
bestätigt.
Da der UG meistens etwa eine horizontale Gerade ist, wird als Startwert
für a das Mittel über alle Punkte verwendet und _b = 0_ gesetzt. Dies
ist auch für exponentiell abfallenden UG ausreichend.

BEV:   P. R. Bevington: Data Reduction and Error Analysis
BRA:   S. Brandt: Statistische Methoden der Datenanalyse
PRE:   W. H. Press ...: Numerical Recipes in C; Nonlinear Models

   _Hinweis:_
In der Originalversion der Querschnittsberechnung (PDP11, S. Krüdener,
1987) wurde der Untergrund folgendermaßen berechnet:

   Es war gedacht "lineare Regression" durchzuführen, wenn einer der
beteiligten Untergrundkanäle Null ist, ansonsten "logarithmische
Regression". Tatsächlich wurde jedoch das ganze Spektrum auf Null
geprüft. Als ADC-Spektrum hat es jedoch am Anfang stets einige Nullen,
so dass immer "lineare Regression" gerechnet wurde.

   Die Fehlerfortpflanzung der "linearen Regression" wurde unsauber
gerechnet, da a und b der Fit-Geraden _y = a + b*x_ statistisch nicht
unabhängig sind, aber die Kovarianzen bei der Fehlerrechnung ignoriert
wurden.

   Die "logarithmische Regression" ist ein Pfusch, der sich aus der
Vor-Computer-Zeit rübergerettet hat. Bei einer einfachen
Mittelwertbildung zeigt sich schon das Problem:
    (a+b)/2 != exp((log(a)+log(b))/2)
    z.B. :
    (e+1)/2      = 1.8591
    exp((1+0)/2) = 1.6487

   *Wirkungsquerschnittesberechnung:*
Den Formalismus zur Berechnung des Wirkungsquerschnittes kann man in der
Diplomarbeit von Stephan Krüdener (1988) nachlesen.

   _Fehlerrechnungen:_
(siehe auch Diplomarbeit von Stephan Krüdener (1988))
Alle Fehlerangaben sind Standardabweichungen (68% Konfidenz)
Für den mittleren Formfaktor wird ein statistischer Fehler aus der
Streuung der einzelnen Formfaktoren um den Mittelwert
(FehlerquadratSumme / Anzahl der Freiheitsgrade) berechnet. D.h. es
werden mindestens zwei Formfaktormessung für die Auswertung benötigt,
ansonsten werden alle daraus folgenden Fehlerangaben mit <na>
gekennzeichnet.

   Für die Reaktionsrate wird ein statistischer Fehler errechnet.

   Für den kinematischen Faktor wird durch Fehlerfortplanzung ein
statistischer und ein systematischer Fehler errechnet. Die verwendeten
Eingangsfehler sind zur Zeit:
(siehe Dipl. Arbeit Stephan Krüdener 1988)
    0.015   rel. stat. Fehler der Geschw. Schneller Strahl
    0.010   rel. stat. Fehler der Geschw. Langsamer Strahl
    0.025   rel. stat. Fehler des Wechselwirkungs-Winkels
    0.015   rel. syst. Fehler der Geschw. Schneller Strahl
    0.015   rel. syst. Fehler der Geschw. Langsamer Strahl
    0.000   rel. syst. Fehler des Wechselwirkungs-Winkels

   Der totale statistische Fehler enthält Beiträge vom Formfaktor, von
der Reaktionsrate und dem kinematischen Faktor. Wenn einer dieser
Beiträge nicht zur Verfügung steht, erfolgt die Ausgabe von <na>.

   Der totale systematische Fehler enthält nur einen Beitrag vom
kinematischen Faktor. Wenn dieser Beitrag nicht zur Verfügung steht,
erfolgt die Ausgabe von <na>.

   In der Fehlerangabe für den Wirkungsquerschnitt ist nur der totale
statistischen Fehler enthalten.

   *Änderungen gegenüber der alten PDP11-Version von LAC:*
Neu hinzugekommen ist der statistische Fehler des Formfaktors.

   Der statistische Fehler des kinematischen Faktors enthielt als
Eingangswert Fehler(Winkel)/sin(Winkel). In der Annahme, dass wie üblich
Fehler(Winkel)/Winkel angeliefert wird, die Rechnung entsprechend
geändert. Beim aktuellen Winkel von 17.5 Grad ist der Unterschied jedoch
nur winzige 1.55% * 0.025 = 0.04%-Punkte für den Fehler des WW-Winkels!
(Bei den früheren 45 Grad: 10% * 0.025 = 0.25%-Punkte)

2.3 Datenformate
================

Sowohl die LIC-Messdaten-Files als auch die LAC-Ergebnis-Files
entsprechen dem Strahlenzentrumsstandard und können deshalb mit einer
Anzahl vorhandener Programme weiterverarbeitet werden.
   * Sie beginnen mit einem Header von 512 Bytes Länge, der am Anfang
     einen standardisierten Teil enthält und anschließend noch
     eine Reihe weiterer, Messprogramm spezifischer Daten 	(z.B.
     Lifetime-, Realtime-Zähler usw.).

   * Die Kanäle der Spektren sind als INTEGER*4 (BYTES = 4) deklariert,
     d.h. jeder Kanal kann ca. 4*10^9 Ereignisse aufnehmen.

2.3.1 LIC-List-Mode-Datenformat
-------------------------------

*Struktur der LIC-Daten-Files*
Anschließend an den Header folgen das Laufzeit-Spektrum (T-) und die
Positions-Matrix (X/Y-).
Die Länge des Laufzeit-Spektrums ist wählbar. Die Länge der
Positions-Matrix ist mit 256 * 256 Kanälen fest vorgegeben.
Die im Standardteil des Headers angegebene Anzahl der Spalten und
Zeilen ist:
COLS = 256
ROWS = 256 + int((<Länge T-Spektrum> -1) / 256) +1
Danach folgen die List-Mode-Daten.

      ---
       |
       | Header, 512 Bytes
       |
      ---
       |
       | T-Spektrum, ((ROWS - 256) * 256 * 4) Bytes
       |
      ---
       |
       | X/Y-Matrix, (256 * 256 * 4) Bytes
       |
      ---
       |
       | List-Mode-Daten, n Bytes
       |
       .

   *Struktur der LIC Header Daten:*
#define lIDHDR 8
#define lHDLEN 1
#define lEXPMNT 6
#define lIDPRG 8
#define lSTDAT 9
#define lSTTIM 8
#define lSPDAT 9
#define lSPTIM 8
#define lSPENAM 8
#define lSPTYPE 4
#define lROWS 6
#define lCOLS 6
#define lBYTES 1
#define lHDFREE 4
#define lRESRV 38
#define lLTXT 4
#define lTEXT 80
Plattformabhängige Definitionen:
UINT2: 2 Bytes "unsigned int"
UINT4: 4 Bytes "unsigned int"

typedef union {
    struct {
        struct {
            char idhdr[lIDHDR];   /* Identification of header: "STRZ-VXW" */
            char hdlen[lHDLEN];   /* Length of header: "1" */
            char expmnt[lEXPMNT]; /* Experiment */
            char idprg[lIDPRG];   /* ID of generating Program: "LIC     " */
            char stdat[lSTDAT];   /* Date of start */
            char sttim[lSTTIM];   /* Time of start */
            char spdat[lSPDAT];   /* Date of stop */
            char sptim[lSPTIM];   /* Time of stop */
            char spenam[lSPENAM]; /* Name of spectrum */
            char sptype[lSPTYPE]; /* Type of spectrum: "LIC" */
            char rows[lROWS];     /* Number of rows: "     n" */
            char cols[lCOLS];     /* Channels/row: "   256" */
            char bytes[lBYTES];   /* Bytes/channel: "4" */
            char hdfree[lHDFREE]; /* First free byte in header (0,...) */
            char resrv[lRESRV];   /* Reserved */
            char ltxt[lLTXT];     /* Length of text: "80" */
            char text[lTEXT];     /* Text */
        } stddat;   /* Standard data of header */
        struct {
            UINT2 status;         /* Status of spectrum */
            UINT4 clkcnt;         /* Realtime from Routing */
            UINT4 rltcnt;         /* Realtime from CPU */
            UINT4 lftcnt;         /* Lifetime */
            UINT4 datcnt;         /* Processed data */
            UINT4 liscnt;        /* Transfered List Mode bytes */
            UINT4 outcnt;        /* ADC data out of range */
            UINT4 lsqerr;        /* LIC data sequence errors */
            UINT4 licerr;        /* LIC interface errors */
            UINT4 rejcnt;        /* Rejected data */
            UINT4 fulcnt;        /* Fifo full counter */
            UINT4 errcnt;        /* Error counter */
            UINT4 runtim;        /* Realtime to run experiment [s] */
            UINT2 hdatid;        /* Data identification */
            UINT4 adclen;        /* Length of ADC spectrum */
            UINT4 poslen;        /* Length of Pos. Comp. spectrum */
            UINT4 posoff;        /* Offset of Pos. Comp. spectrum */
        } spcdat;   /* IIC special data of header */
    } hdata;        /* Header data */
    struct {
        char h512[512];         /* Fill 512 bytes block */
    } htotal;        /* Total header */
} HEADER;

   *Struktur der LIC List Mode Daten:*
List Mode Record:  ID-Byte,  Data-Byte1,  Data-Byte2,  ...

  *Record*                  *ID Byte*      *Data Bytes*
  Start and restart marker: 1111 1111      >2: 0xff, ...
  Fifo full:                10xx xxxx      -
  Lifetime:                 x010 0001      1: original ID
  ADC data:                 x010 0000      2: y,x
  Pos. Comp.:               x000 0000      2: high,low
  Beam synch, Realtime:     x000 1110      0
  Slow beam:                x000 1100      2: high,low
  Fast beam:                x000 1010      2: high,low
  LIC error:                x001 0000      1: s.u.

Der "Start and restart marker" steht zu Beginn der List Mode Daten und
wird bei jedem Restart der Messung als erstes neu geschrieben.

Bei mehreren Daten-Bytes kommt das höherwertige zuerst.

"Pos. Comp". und "ADC data" dürfen nur in der folgenden Reihenfolge
auftreten, sonst liegt ein Fehler (LIC data sequence error) vor:
Pos. Comp., ADC data

"Beam synch", "Slow beam" und "Fast beam" dürfen nur in folgenden beiden
Reihenfolgen auftreten, sonst liegt ein Fehler (Fast/slow beam sequence
error) vor:
Beam synch, Slow beam, Fast beam
Beam synch, Fast beam, Slow beam

Das "Fifo full Bit" zeigt an, dass durch Überlauf des Fifos-Speichers
im Routing wegen Überlast eine unbekannte Anzahl von Daten verloren
gegangen ist.

   *LIC Error Byte:*
Error 0x01: unsolicited Data Ready ADC
Error 0x02: Timeout waiting for Stop Gate
Error 0x04: Timeout waiting for Data Ready ADC (Busy ADC)
Error 0x08: Timeout waiting for Data Ready ADC (Busy TPC)
Error 0x10: Timeout waiting for end of Data Ready ADC
Error 0x20: Timeout waiting for end of Data Ready PCI
Warning 0x40: Data Ready ADC with no leading Stop Gate
Warning 0x80: Stop Gate too early or permanent

2.3.2 LAC-Ergebnis-Datenformat
------------------------------

*Struktur der LAC-Daten-Files*
Anschließend an den Header folgen das Laufzeit-Spektrum (T-) und drei
Positions-Matrizen (X/Y-): Koinzidenz-Matrix, linke Untergrund-Matrix
und rechte Untergrund-Matrix.
Die Länge des Laufzeit-Spektrums ist wählbar. Die Länge der
Positions-Matrizen ist mit 256 * 256 Kanälen fest vorgegeben.
Die im Standardteil des Headers angegebene Anzahl der Spalten und
Zeilen ist:
COLS = 256
ROWS = 3 * 256 + int((<Länge T-Spektrum> -1) / 256) +1
      ---
       |
       | Header, 512 Bytes
       |
      ---
       |
       | Ergebnis-T-Spektrum, ((ROWS - 3*256) * 256 * 4) Bytes
       |
      ---
       |
       | Koinzidenz-X/Y-Matrix, (256 * 256 * 4) Bytes
       |
      ---
       |
       | Linke Untergrund-X/Y-Matrix, (256 * 256 * 4) Bytes
       |
      ---
       |
       | Rechte Untergrund-X/Y-Matrix, (256 * 256 * 4) Bytes
       |
      ---

   *Struktur der LAC Header Daten:*
#define lIDHDR 8
#define lHDLEN 1
#define lEXPMNT 6
#define lIDPRG 8
#define lSTDAT 9
#define lSTTIM 8
#define lSPDAT 9
#define lSPTIM 8
#define lSPENAM 8
#define lSPTYPE 4
#define lROWS 6
#define lCOLS 6
#define lBYTES 1
#define lHDFREE 4
#define lRESRV 38
#define lLTXT 4
#define lTEXT 80
Plattformabhängige Definitionen:
UINT2: 2 Bytes "unsigned int"
UINT4: 4 Bytes "unsigned int"

typedef union {
    struct {
        struct {
            char idhdr[lIDHDR];   /* Identification of header: "STRZ-VXW" */
            char hdlen[lHDLEN];   /* Length of header: "1" */
            char expmnt[lEXPMNT]; /* Experiment */
            char idprg[lIDPRG];   /* ID of generating Program: "LAC     " */
            char stdat[lSTDAT];   /* Date of start */
            char sttim[lSTTIM];   /* Time of start */
            char spdat[lSPDAT];   /* Date of stop */
            char sptim[lSPTIM];   /* Time of stop */
            char spenam[lSPENAM]; /* Name of spectrum */
            char sptype[lSPTYPE]; /* Type of spectrum: "LAC" */
            char rows[lROWS];     /* Number of rows: "n/256 + 3*256" */
            char cols[lCOLS];     /* Channels/row: "   256" */
            char bytes[lBYTES];   /* Bytes/channel: "4" */
            char hdfree[lHDFREE]; /* First free byte in header (0,...) */
            char resrv[lRESRV];   /* Reserved */
            char ltxt[lLTXT];     /* Length of text: "80" */
            char text[lTEXT];     /* Text */
        } stddat;   /* Standard data of header */
        struct {
            UINT2 status;         /* Status of spectrum */
            UINT4 clkcnt;         /* Realtime from Routing */
            UINT4 rltcnt;         /* Realtime from CPU */
            UINT4 lftcnt;         /* Lifetime */
            UINT4 datcnt;         /* Processed data */
            UINT4 liscnt;         /* Transfered List Mode bytes */
            UINT4 outcnt;         /* ADC data out of range */
            UINT4 lsqerr;         /* LIC data sequence errors */
            UINT4 licerr;         /* LIC interface errors */
            UINT4 rejcnt;         /* Rejected data */
            UINT4 fulcnt;         /* Fifo full counter */
            UINT4 errcnt;         /* Error counter */
            UINT4 runtim;         /* Realtime to run experiment [s] */
            UINT2 hdatid;         /* Data identification */
            UINT4 adclen;         /* Length of ADC spectrum */
            UINT4 poslen;         /* Length of Pos. Comp. spectrum */
            UINT4 posoff;         /* Offset of Pos. Comp. spectrum */
        } spcdat;   /* IIC special data of header */
    } hdata;        /* Header data */
    struct {
        char h512[512];         /* Fill 512 bytes block */
    } htotal;        /* Total header */
} HEADER;

3 Bedienung von LAC
*******************

Das Programm ist weitgehend selbsterklärend. Die notwendigen Eingaben
werden in Dialogform angefordert. Der Dialog ist in einer
Hierarchiestruktur aufgebaut, wobei mittels Menülisten von einer
Dialogebene in die andere gewechselt werden kann. Für Parametereingaben
existieren im Allgemeinen Vorbelegungswerte, die editiert werden
können. Die graphischen Bildschirmausgaben werden durch
Funktionstasteneingaben gesteuert.

3.1 LAC Top-Menü
================

3.1.1 Exit LAC
--------------

Verlassen des Programmes.

3.1.2 Show header
-----------------

Mit diesem Aufruf wird der Header des LIC-Spektrums ausgegeben, so wie
man dies auch vom LIC-Messprogramm gewohnt ist:

   * *Experiment; Program; Spectrum*
     Name des Experimentes; Name des Programmes; Name des Spektrums.

   * *Title*
     Titelzeile zur Beschreibung des Experimentes.

   * *Start; Stop*
     Startzeit und -datum; Stopzeit und -datum.

   * *Realtime*
     Die Zeit in Sekunden, während der das Experiment gestartet war.
     Diese Zeit wird aus dem 1/10 Sekundentakt der Taktkarte abgeleitet.
     Bei Stop durch Messzeitvorwahl ist sie exakt, bei manuellem Stop
     kann sie bis zu 0.1s zu klein sein.

   * *Lifetime*
     Die um die Totzeit korrigierte Zeit (Realtime - Deadtime), die der
     Messung zur Datenaufnahme zur Verfügung stand.

   * *List Mode data bytes*
     Länge des List-Mode-Datensatzes in Bytes.

   * *LIC (x-y-t) data*
     Anzahl der verarbeiteten Position-Laufzeit-Datenpaare.

   * *LIC data sequence errors*
     Anzahl der Fälle, in denen das Orts-Zeit-Datenpaar unvollständig
     war. Entweder ist das LIC-Interface nicht in den LIC-Modus
     geschaltet, oder es liegt ein Hardware-Fehler vor.

   * *Time data out of range*
     Anzahl der Zeit-Daten, die außerhalb der vorgegebenen Grenzen des
     Laufzeitspektrums liegen. Als List-Mode-Daten bleiben sie jedoch
     erhalten.

   * *Fast/slow beam sequence errors*
     Anzahl der Fälle, in denen das Triplett: Mastertakt, schneller
     Strahl, langsamer Strahl nicht in Ordnung war.

   * *LIC interface errors*
     Anzahl der Fälle, in denen das LIC-Interface einen Fehler erkannt
     hat.

   * *Rejected data*
     Anzahl der Daten, die auf Grund ihrer Datenkennung ausgesondert
     wurden, weil sie mit dem Experiment in keinem Zusammenhang stehen.
     Entweder wurde beim Start die Datenkennung falsch angegeben, oder
     es ist eine zusätzliche Datenquelle unbeabsichtigt  mitgelaufen.
     Solche Daten werden nicht in den List-Mode-Daten-File übertragen.

   * *Fifo overflows*
     Anzahl der Fälle, in denen die Bearbeitung der Daten nicht Schritt
     halten konnte und Datenverluste auftraten.

   * *Data errors*
     Anzahl der Daten, die durch Hardware-Fehler oder -Störungen
     verstümmelt übertragen wurden.

Auf der folgenden Seite werden die Ergebnisse der Stromintegration und
die Parameter für schnellen und langsamen Strahl ausgegeben:
   * *Ion beam integration*
        - *Fast beam *
          Integration des schnellen Strahls.

        - *Slow beam*
          Integration des langsamen Strahls.

        - *Fast * slow *
          Integration des Produktes von schnellem und langsamem Strahl.

   * *Experiment parameters*
        - *Acc. voltage [kV]*
          Beschleunigungsspannungen.

        - *Ion mass [amu]*
          Ionenmassen.

        - *Ion charge [e]*
          Ionenladungen.

        - *Range of current*
          Messbereiche für die Ionenströme.

3.1.3 Analyse List Mode data
----------------------------

Übergang zum LAC Auswerte-Menü.
(see LAC Auswerte-Menü.)

3.1.4 Load List Mode data
-------------------------

Laden von neuen LIC-List-Mode-Daten zur Auswertung.  Die Angabe des
Dateinamens muss im File-Format des Host-Rechners erfolgen, z.B.
~/ex_home/ex_data/test.spe für einen Unix-Host. Tilde (~) und $HOME
werden als Home-Directory des zugehörigen Accounts verstanden.

3.1.5 Convert spectrum to ASCII
-------------------------------

Das Laufzeitspektrum und die Positionsmatrix werden mit oder ohne Header
und mit oder ohne Kanalnummern in ASCII Form auf einen File geschrieben.

   Die Ausgabe der Spektren erfolgt in der Reihenfolge:
  1. Header

  2. Laufzeitspektrum

  3. Positionsmatrix

   Die Matrix wird in folgender Reihenfolge ausgegeben:
Zeile 1, Spalte 1;
Zeile 1, Spalte 2;
...
Zeile 2, Spalte 1;
Zeile 2, Spalte 2;
...

3.1.6 Execute shell command
---------------------------

Ausführung von Shell-Kommandos. Unter VxWorks (VME-Systeme) steht nur
eine kleine Auswahl von Kommandos zur Verfügung.

3.1.7 Set configuration
-----------------------

Führt zum LAC Konfigurations-Menü.  Unter diesem Menüpunkt erfolgen
alle notwendigen Anpassungen des Programmes.
(see LAC Konfigurations-Menü.)

3.1.8 Help
----------

Bringt diesen Info-Text auf den Bildschirm.

3.2 LAC Auswerte-Menü
=====================

3.2.1 Return
------------

Rückkehr zum Top-Menü.

3.2.2 Analyse total T-spectrum
------------------------------

Der LIC List-Mode-Daten-File enthält stets ein Ion-Ion-Laufzeitspektrum,
das über die gesamte Messzeit akkumuliert wurde. Auf dieses
Laufzeitspektrum können die Darstellungs- und
Wirkungsquerschnittsberechnungs-Funktionen des IAC-Programmes angewendet
werden:
  1. Graphische Darstellung des totalen T-Spektrums mit
     Vermessungsmöglichkeit
     	(see Graphische Ausgabe von Spektren.)

  2. Graphische Darstellung des totalen T-Spektrums mit
     Wirkungsquerschnittsberechnung
     	(see Auswertung von Laufzeitspektren.)
        LAC startet stets mit Funktion 1. Mit ^I kann zur Funktion 2
gewechselt werden und mit ^D wieder zurück.
Mit ^H (Control H) können die in den einzelnen Funktionen zur Verfügung
stehenden Kommandos aufgelistet werden.

3.2.3 Show total X/Y-matrix
---------------------------

Der LIC List-Mode-Daten-File enthält stets eine Positionsmatrix der
Reaktionsprodukte, die über die gesamte Messzeit akkumuliert wurde.
Diese Matrix kann mit den "Hidden Lines" und "Contour Plot" Funktionen
graphisch dargestellt werden:
  1. "Hidden Lines" Darstellung der totalen X/Y-Matrix
     	(see "Hidden Lines" Darstellung von Matrizen.)

  2. "Contour Plot" Darstellung der totalen X/Y-Matrix
     	(see "Contour Plot" Darstellung von Matrizen.)
        LAC startet stets mit Funktion 1. Mit ^D kann zur jeweils
anderen Funktion gewechselt werden.
Mit ^H (Control H) können die in den einzelnen Funktionen zur Verfügung
stehenden Kommandos aufgelistet werden.

3.2.4 Extract spectra from List Mode data
-----------------------------------------

Aus den List-Mode-Daten können unter Vorgabe von Randbedingen
verschiedene Laufzeitspektren (T-Spektren) und Positionsmatrizen
(X/Y-Matrizen) gewonnen werden.

   Die List-Mode-Daten enthalten Realtime-Marker im 0.1 s Takt.  Zum
Extrahieren der Spektren verlangt LAC zuerst die Angabe eines
Zeitfensters im Realtime-Takt für einen zeitlichen Ausschnitt aus den
List-Mode-Daten. Innerhalb dieses Fensters akkumuliert LAC ein
Laufzeitspektrum, das es anschließend zum Setzen von vier Markern zum
Abgrenzen des Koinzidenz- und der Untergrund-Bereiche graphisch
darstellt.

   * *Length of T-spectrum:*
     Anzahl der Kanäle, mit der das Laufzeitspektrum angelegt werden
     soll.

   * *Format of X/Y-matrix:*
     Das Format der Positionsmatrizen ist fest vorgegeben mit 256 * 256
     Kanälen.

   * *Analyse from realtime:*
     Realtime-Marker, bei dem die Analyse startet.

   * *Analyse to realtime:*
     Realtime-Marker, bei dem die Analyse endet.

   Nach Eingabe der Marker werden innerhalb des vorgegebenen
Zeitfensters die drei Positionsmatrizen für Koinzidenz- und
Untergrund-Bereiche akkumuliert und der Header des neu erstellten
LAC-Daten-Files in der folgenden Form ausgegeben:

Experiment: ex016 ;  Program: LAC;  Spectrum: licspe

LIC Spectrum  ---  Strahlenzentrum Universitaet Giessen
Start: 29-MAY-02 09:11:18;  Stop: 29-MAY-02 10:42:58

LIC List Mode data analysed from 0.0s to 5409.5s realtime

    5409.5 Realtime [s]
    5354.1 Lifetime LIC [s]
      6488 LIC (x-y-t) data
        17 LIC data sequence errors
         0 Time data out of range
         0 Fast/slow beam sequence errors
         0 LIC interface errors
         0 Fifo overflows
         0 Total data errors

Ion beam integration
Fast beam:      37976143
Slow beam:      19059930
Fast * slow:  1.3376e+10

 Experiment parameters
   Fast beam    Slow beam
          75           10 Acc. voltage [kV]
          84           84 Ion mass [amu]
           3            2 Ion charge [e]
       1e-07        1e-07 Range of current
   Der LAC-Daten-File wird nicht automatisch auf die Festplatte
gerettet!

3.2.5 Show coincidence matrix
-----------------------------

Die zuvor extrahierte Koinzidenzmatrix kann mit den "Hidden Lines" und
"Contour Plot" Funktionen graphisch dargestellt werden:
  1. "Hidden Lines" Darstellung der Koinzidenzmatrix
     	(see "Hidden Lines" Darstellung von Matrizen.)

  2. "Contour Plot" Darstellung der Koinzidenzmatrix
     	(see "Contour Plot" Darstellung von Matrizen.)

3.2.6 Convert extracted spectra to ASCII
----------------------------------------

Das Laufzeitspektrum und die drei Positionsmatrizen werden mit oder ohne
Header und mit oder ohne Kanalnummern in ASCII Form auf einen File
geschrieben.

   Die Ausgabe der Spektren erfolgt in der Reihenfolge:
  1. Header

  2. Laufzeitspektrum

  3. Koinzidenzmatrix

  4. Linke Untergrundmatrix

  5. Rechte Untergrundmatrix

   Die Matrizen werden in folgender Reihenfolge ausgegeben:
Zeile 1, Spalte 1;
Zeile 1, Spalte 2;
...
Zeile 2, Spalte 1;
Zeile 2, Spalte 2;
...

3.2.7 Analyse extracted T-spectrum
----------------------------------

Auf das extrahierte Laufzeitspektrum können die Darstellungs- und
Wirkungsquerschnittsberechnungs-Funktionen des IAC-Programmes angewendet
werden:
  1. Graphische Darstellung des extrahierten T-Spektrums mit
     Vermessungsmöglichkeit
     	(see Graphische Ausgabe von Spektren.)

  2. Graphische Darstellung des extrahierten T-Spektrums mit
     Wirkungsquerschnittsberechnung
     	(see Auswertung von Laufzeitspektren.)
        LAC startet stets mit Funktion 1. Mit ^I kann zur Funktion 2
gewechselt werden und mit ^D wieder zurück.
Mit ^H (Control H) können die in den einzelnen Funktionen zur Verfügung
stehenden Kommandos aufgelistet werden.

3.2.8 Show left background matrix
---------------------------------

Die zuvor extrahierte linke Untergrundmatrix kann mit den "Hidden
Lines" und "Contour Plot" Funktionen graphisch dargestellt werden:
  1. "Hidden Lines" Darstellung der linken Untergrundmatrix
     	(see "Hidden Lines" Darstellung von Matrizen.)

  2. "Contour Plot" Darstellung der linken Untergrundmatrix
     	(see "Contour Plot" Darstellung von Matrizen.)

3.2.9 Show right background matrix
----------------------------------

Die zuvor extrahierte rechte Untergrundmatrix kann mit den "Hidden
Lines" und "Contour Plot" Funktionen graphisch dargestellt werden:
  1. "Hidden Lines" Darstellung der rechten Untergrundmatrix
     	(see "Hidden Lines" Darstellung von Matrizen.)

  2. "Contour Plot" Darstellung der rechten Untergrundmatrix
     	(see "Contour Plot" Darstellung von Matrizen.)

3.2.10 Save extracted spectra to disk
-------------------------------------

Retten des LAC-Daten-Files auf die Festplatte.

3.2.11 Delete extracted spectra from disk
-----------------------------------------

Löschen eines LAC-Daten-Files von der Festplatte.

3.3 LAC Konfigurations-Menü
===========================

Unter diesem Konfigurations-Menü erfolgen alle notwendigen Anpassungen
des Programmes. Beim allerersten Start des Programmes wird dieser
Menüpunkt stets automatisch aufgerufen. Danach sollte er nur noch bei
Konfigurationsänderungen benutzt werden.

3.3.1 OK
--------

Rückkehr zum Top-Menü.

3.3.2 Terminals and printers
----------------------------

Dieser Menüpunkt enthält ein Untermenü zum Auswählen eines passenden
Terminals und Druckers bzw. zur Definition von solchen:
    Select terminal
    Select printer
    Define terminal
    Define printer

   Sollte keines der Terminals oder der Drucker passend sein, so kann
eines der vorhandenen Geräte angepasst werden. Dazu wird es zuerst
selektiert und dann neu definiert:

   Printer-Definition für einen normalen Netzwerkdrucker
Comment: LaserJet in 202 (hplaser)
Command: lpr -Phplaser lac.tmp; rm lac.tmp
File   : lac.tmp
Select language (PS)
Select device type (Printer)

   Printer-Definition für einen lokal am VME-Rechner angeschlossenen
Drucker
Comment: Printer at MVME1xx Port 2
Command:
File   : /tyCo/1
Select language (HPGL)
Select device type (File)

   Printer-Definition für einen an einem PC angeschlossenen Drucker
Comment: Printer at <Server>
Command: ex_home/ex_prog/PC-print <Server> <Service> <Passwort> lac.tmp
File   : lac.tmp
Select language (PS)
Select device type (Printer)

   Printer-Definition für die Erzeugung von Files ohne zu drucken.  Um
nicht jedesmal einen neuen File-Namen definieren zu müssen, können
diese in gewissen Grenzen automatisch generiert werden. Dazu können bei
der Druckerdefinition im File-Namen folgende Sonderzeichen verwendet
werden:
*  wird ersetzt durch den Namen des Spektrums
$  wird ersetzt durch den "Graphic Mode" (z.B. HPGL)
#  wird ersetzt durch eine fortlaufende Nummer
   (Consecutive print number), die bei der Auswahl eines
   Printers neu gesetzt werden kann.

Comment: ASCII files with unique names
Command:
File   : *.$.#
Select language (ASCII)
Select device type (FILE)

3.3.3 Startup mode
------------------

Einstellmöglichkeit zur Umgehung des Hauptmenüs beim Start durch ein
anderes Programm. Das Hauptmenü kann dann nur durch Eingabe von ^Z in
einer der graphischen Funktionen erreicht werden.

3.3.4 Message mode
------------------

Print verbose messages:
Bei Angabe einer "1" werden ausführlichere Meldungen ausgegeben.

   Delay messages:
Gelegentlich wird eine vorausgehende von einer nachfolgenden Meldung so
rasch überschrieben, dass sie nicht gelesen werden kann. Hier kann für
Meldungen eine Mindestverweilzeit (in Sek.) auf dem Bildschirm
angegeben werden. Dies verzögert natürlich die Bedienung des Programmes
und sollte deshalb nur für Testzwecke eingeschaltet werden.

3.4 Graphische Ausgabe von Spektren
===================================

Das Spektrum kann in vielfältiger Weise graphisch dargestellt und
gedruckt werden. Mit einem Marker kann es vermessen werden.

   Folgende Kommandos, die auch mit ^H online gelistet werden können,
stehen zur Verfügung:

*Exits:*
CR Return to main menu        -Rückkehr zum Hauptmenü bei direktem
                                  Start von LAC,
CR Return to parent task      -bzw. Rückkehr zum aufrufenden Programm,
                                  falls von solchem gestartet.
^Z Return to main menu        -Rückkehr zum Hauptmenü.
^I IAC Analysis               -Wechsel zur Wirkungsquerschnittsberechnung.
                                  Dort gibt es ein eigenes Help,
                                  das mit ^H abgerufen werden kann.

*Specials:*
^T Zero spectrum              -Löschen des dargestellten Spektrums,
^T Not available in this context  jedoch nur wenn LAC durch ein Messprogramm
                                  gestartet wurde und die Messung nur ein
                                  "Test-Run" ist.

*Functions:*
^H Help                       -Auflisten der möglichen Kommandos.
^N Normalize all parameters   -Einstellen eines Standard-Display-Parametersatzes.
^B Backup parameter set; restore with ^L
                              -Retten des aktuellen Display-Parametersatzes.
^L Load parameter set; saved by ^B
                              -Laden des zuvor geretteten Parametersatzes.
^P Print screen               -druckt den Bildschirminhalt.
^R Refresh display with fit to marker
                              -neuer Bildaufbau, so dass Marker sichbar ist.
SP Refresh display            -neuer Bildaufbau.

*Display commands:*
R  Shift right                -schiebt das Spektrum um 20% nach rechts.
L  Shift left                 -schiebt das Spektrum um 20% nach links.
E  Expand X                   -Dehnen der X-Achse um den Faktor 2 mit
                                  dem Vermessungsmarker als Zentrum.
C  Compress X                 -Stauchen der X-Achse um den Faktor 2 mit
                                  dem Vermessungsmarker als Zentrum.
U  Up Y                       -Dehnen der Y-Achse um den Faktor 2.
D  Down Y                     -Stauchen der Y-Achse um den Faktor 2.
N  Normalize Y                -Normieren des Y-Maßstabes auf den maximalen Y Wert.
F  Full spectrum              -Darstellung des ganzen Spektrums.
A  All spectra of matrix      -alle Spektren einer Matrix darstellen.
I  Input                      -numerische Eingabemöglichkeit für
                                  einige Darstellungsparameter.
                                  X-OFFSET = X-Nullpunktsverschiebung
                                  LENGTH = Länge des dargestellten Ausschnitts
                                  Y-OFFSET = Y-Nullpunktsverschiebung (s.h. Y)
1... Number of spectrum, end with SPACE
                              -Auswahl eines Spektrums (Zeile) einer Matrix
                                  durch Angabe seiner Nummer 1,2....
                                  Ist die Eingabe kürzer als die max.
                                  mögliche, dann mit <SPACE> abschließen.

*Display modes:*
V  Vectors                    -Darstellung durch Vektoren.
P  Points                     -Darstellung durch Punkte.
S  Statistical errors         -Fehlerbalken-Darstellung
H  Histogram                  -Histogramm-Darstellung
X  LIN/LOG mode               -Lineare/logarithmische Darstellung in Y
T  Text on/off                -Ein- und Ausblenden der Markerbeschriftung
B  Base line on/off           -Ein- und Ausblenden der Nulllinie.
Y  Y-offset on/off (LIN mode only)
                              -Bei jeder Y-Normierung (N) wird aus den
                                  auftretenden Kanalinhalten ein passender
                                  Y-offset berechnet, dessen Berücksichtigung
                                  bei der Darstellung durch die Eingabe von Y
                                  gesteuert wird. Nur für lineare Darstellung.

*Marker commands:*
<Cursor left>  Shift marker left
<Cursor down>  Shift marker fast left
                              -Linksschieben des Markers, maximal bis zum
                                  linken Nachbarn.
<Cursor right>  Shift marker right
<Cursor up>  Shift marker fast right
                              -Rechtsschieben des Markers, maximal bis zum
                                  rechten Nachbarn.
<  Shift marker fast left     -Falls die verwendete Terminalemulation
>  Shift marker fast right        Probleme mit den Cursor-Tasten hat, können
                                  diese beiden Kommandos helfen. Bei aus-
                                  reichendem Spreizen des Spektrums können
                                  einzelne Kanäle erreicht werden.
T  Flag on/off                -Ein- und Ausblenden der Markerbeschriftung

   Kanäle und Spektren zählen von 1.

   Alle Kommandos können während des laufenden Bildaufbaus gegeben
werden. Dieser wird dadurch unterbrochen und das neue Kommando
ausgeführt.

3.5 Auswertung von Laufzeitspektren
===================================

Im Laufzeitspektrum werden mit vier Markern der linke und rechte
Untergrund sowie der Koinzidenz-Peak angegeben. Die Marker können nur
genau auf einen Kanal des Spektrums positioniert werden und nicht
dazwischen (wie in der alten PDP11-Version). Benachbarte Marker können
sich nicht überkreuzen, und behalten einen Mindestabstand von 2 Kanälen.
Die Integrationsgrenzen reichen von den Kanälen (einschließlich):
        M1    -> M2 -1    linker Untergrund
        M2    -> M3       Peak
        M3 +1 -> M4       rechter Untergrund

   Beim Start der Wirkungsquerschnittesberechnung werden zunächst
numerisch die Positionen der 4 Integrationsgrenzen angefordert. Als
Vorbelegung werden die Werte aus einer vorangegangenen Auswertung oder,
falls vorhanden, die im Laufzeitspektrum (mit Kommando MS)
abgespeicherten Grenzen angeboten.  Anschließend wird das Spektrum
graphisch so am Bildschirm dargestellt, dass alle Integrationsgrenzen
zu sehen sind, falls sie nicht außerhalb des Spektrums liegen.
Bildausschnitt und Integrationsgrenzen können danach noch beliebig
verändert werden.

   Zur graphischen Markereingabe und Starten der
Wirkungsquerschnitts-Berechnung stehen folgende Kommandos zur
Verfügung, die auch mit ^H (Control H) online gelistet werden können:

*Exits:*
CR Return to main menu        -Rückkehr zum Hauptmenü bei direktem
                                  Start von LAC,
CR Return to parent task      -bzw. Rückkehr zum aufrufenden Programm,
                                  falls von solchem gestartet.
^Z Return to main menu        -Rückkehr zum Hauptmenü.
^D Standard display           -Wechsel zur Standard-Spektrendarstellung
                                  mit Vermessungsmoeglichkeit.
                                  Dort gibt es ein eigenes Help,
                                  das mit ^H abgerufen werden kann.

*Specials:*
^T Zero spectrum              -Löschen des IIC Spektrums,
^T Not available in this context  jedoch nur wenn LAC durch das Messprogramm
                                  IIC gestartet wurde und die Messung nur ein
                                  "Test-Run" ist.

*Functions:*
^H Help                       -Auflisten der möglichen Kommandos.
^N Normalize all parameters   -Einstellen eines Standard-Display-Parametersatzes.
^B Backup parameter set; restore with ^L
                              -Retten des aktuellen Display-Parametersatzes.
^L Load parameter set; saved by ^B
                              -Laden des zuvor geretteten Parametersatzes.
^I Short results on terminal  -schreibt das WQ-Ergebnis in das Spektrum
                                  auf dem Bildschirm.
^F Full results on terminal   -Protokolliert ausführlich die WQ-Rechnung
                                  auf eigener Seite auf dem Bildschirm.
^P Print screen               -druckt den Bildschirminhalt,
                                  also Spektrum oder WQ-Ergebnis.
^R Refresh display with fit to markers
                              -neuer Bildaufbau, so dass alle Marker sichtbar sind.
SP Refresh display            -neuer Bildaufbau für Spektrum, bzw.
                                  neue WQ-Rechnung nach ^F.

*Display commands:*
R  Shift right                -schiebt das Spektrum um 20% nach rechts.
L  Shift left                 -schiebt das Spektrum um 20% nach links.
E  Expand X                   -Dehnen der X-Achse um den Faktor 2
C  Compress X                 -Stauchen der X-Achse um den Faktor 2
U  Up Y                       -Dehnen der Y-Achse um den Faktor 2.
D  Down Y                     -Stauchen der Y-Achse um den Faktor 2.
N  Normalize Y                -Normieren des Y-Maßstabes auf den maximalen Y Wert.
F  Full spectrum              -Darstellung des ganzen Spektrums.
I  Input                      -numerische Eingabemöglichkeit für die
                                  Integrationsgrenzen.

*Display modes:*
V  Vectors                    -Darstellung durch Vektoren.
P  Points                     -Darstellung durch Punkte.
S  Statistical errors         -Fehlerbalken-Darstellung
H  Histogram                  -Histogramm-Darstellung
X  LIN/LOG mode               -Lineare/logarithmische Darstellung in Y
T  Text on/off                -Ein- und Ausblenden der Markerbeschriftung
B  Base line on/off           -Ein- und Ausblenden der Nulllinie.
Y  Y-offset on/off (LIN mode only)
                              -Bei jeder Y-Normierung (N) wird aus den
                                  auftretenden Kanalinhalten ein passender
                                  Y-offset berechnet, dessen Berücksichtigung
                                  bei der Darstellung durch die Eingabe von Y
                                  gesteuert wird. Nur für lineare Darstellung.

*Marker commands:*
M1...M4 Select marker 1...4   -Die Markerpositionierungseingaben wirken nur
                                  auf den gerade aktiven Marker. Mit diesem
                                  Kommando wird einer der vier Marker (von
                                  links gezählt) zum aktiven Marker erklärt.
                                  Achtung, mehrere Marker können an der glei-
                                  chen Position übereinanderliegen.
M< Select next marker left    -Marker links vom aktiven Marker wird zum neuen
                                  aktiven Marker.
M> Select next marker right   -Marker rechts vom aktiven Marker wird zum
                                  neuen aktiven Marker.
MM Same as M>                 -Wie M>
<Cursor left>  Shift current marker left
<Cursor down>  Shift current marker fast left
                              -Linksschieben des aktiven Markers, maximal
                                  bis zum linken Nachbarn.
<Cursor right>  Shift current marker right
<Cursor up>  Shift current marker fast right
                              -Rechtsschieben des aktiven Markers, maximal
                                  bis zum rechten Nachbarn.
 <  Shift current marker fast left
 >  Shift current marker fast right
                              -Falls die verwendete Terminalemulation
                                  Probleme mit den Cursor-Tasten hat, können
                                  diese beiden Kommandos helfen. Bei aus-
                                  reichendem Spreizen des Spektrums können
                                  einzelne Kanäle erreicht werden.
MS  Save current marker positions to spectrum
                              -Die aktuellen Markerpositionen werden im
                                  Header des Spektrums abgespeichert und
                                  stehen bei einem erneuten Laden des
                                  Spektrums durch LAC wieder zu Verfügung.
T  Flags on/off                -Ein- und Ausblenden der Markerbeschriftung

   Kanäle und Spektren zählen von 1.

   Alle Kommandos können während des laufenden Bildaufbaus gegeben
werden. Dieser wird dadurch unterbrochen und das neue Kommando
ausgeführt.

   *Achtung:*
Falls die Spektrenanalyse auf eine laufende Messung erfolgt, darf es
nicht verwundern, wenn man bei jeder Integration ein neues Ergebnis
erhält, auch wenn der Bildschirm immer das gleiche Bild zeigt, weil die
Darstellung nicht erneuert wurde!

3.6 "Hidden Lines" Darstellung von Matrizen
===========================================

Diese Funktion erlaubt verschiedene Darstellungen von Matrizen z.B.
verschiedene Blickwinkel und verdeckte Linien.

   Folgende Kommandos, die auch mit ^H online gelistet werden können,
stehen zur Verfügung:

*Exits:*
CR Return to main menu        -Rückkehr zum Hauptmenü bei direktem
                                  Start von LAC,
CR Return to parent task      -bzw. Rückkehr zum aufrufenden Programm,
                                  falls von solchem gestartet.
^Z Return to main menu        -Rückkehr zum Hauptmenü.
^D Contour Plot               -Wechsel zur "Contour Plot" Darstellung.
                                  Dort gibt es ein eigenes Help,
                                  das mit ^H abgerufen werden kann.

*Specials:*
^T Zero spectrum              -Löschen der dargestellten Matrix,
^T Not available in this context  jedoch nur wenn LAC durch ein Messprogramm
                                  gestartet wurde und die Messung nur ein
                                  "Test-Run" ist.

*Functions:*
^H Help                       -Auflisten der möglichen Kommandos.
^N Normalize all parameters   -Einstellen eines Standard-Display-Parametersatzes.
^B Backup parameter set; restore with ^L
                              -Retten des aktuellen Display-Parametersatzes.
^L Load parameter set; saved by ^B
                              -Laden des zuvor geretteten Parametersatzes.
^P Print screen               -druckt den Bildschirminhalt.
^R Refresh display            -neuer Bildaufbau.
SP Refresh display            -neuer Bildaufbau.

*Display commands:*
E  Expand matrix              -Vermehren der Matrixpunkte um den Faktor 4
                                  durch Auflösen je zweier zuvor zusammen-
                                  gefasster benachbarter Zeilen und Spalten.
C  Compress matrix            -Reduzieren der Matrixpunkte um den Faktor 4
                                  durch Zusammenfassen je zweier benachbarter
                                  Zeilen und Spalten.
U  Up Z                       -Dehnen der Z-Achse um den Faktor 2.
D  Down Z                     -Stauchen der Z-Achse um den Faktor 2.
N  Normalize Z                -Normieren des Z-Maßstabes auf den maximalen Z Wert.

*Cursor control keys:*
<Cursor Right> Increase isometric shift X
                              -Vergrößert die seitliche Verschiebung
                                  der Zeilen gegeneinander.
Cursor Left>   Decrease isometric shift X
                              -Verkleinert die seitliche Verschiebung
                                  der Zeilen gegeneinander.
<Cursor Up>    Increase isometric shift Y
                              -Vergrößert den Abstand der Zeilen.
<Cursor Down>  Decrease isometric shift Y
                              -Verkleinert den Abstand der Zeilen.

*Display modes:*
M  Plot mode: -> Lines plot -> Surface plot -> Grid plot ->
                              -Darstellungsart:
                                  Liniendarstellung
                                  Oberflächendarstellung
                                  Gitterdarstellung
H  Hidden lines: -> no -> upper -> lower -> both surfaces ->
                              -Verdeckte Linien Modus
                                  keine verdeckten Linien
                                  nur Oberseite sichtbar
                                  nur Unterseite sichtbar
                                  beide Seiten sichtbar
X  LIN/LOG mode               -Lineare/logarithmische Darstellung in Z
T  Text on/off                -Ein- und Ausblenden des Textes.

   Kanäle und Spektren zählen von 1.

   Alle Kommandos können während des laufenden Bildaufbaus gegeben
werden. Dieser wird dadurch unterbrochen und das neue Kommando
ausgeführt.

3.7 "Contour Plot" Darstellung von Matrizen
===========================================

Graphische Darstellung von Matrizen im Höhenlinienformat. Angepasst an
das jeweilige Ausgabegerät stehen 2 - 16 Farben bzw. Graustufen zur
Darstellung zur Verfügung. Ein Ausdruck entspricht deshalb in den
Farben nicht unbedingt der Darstellung auf dem Bildschirm.

   Folgende Kommandos, die auch mit ^H online gelistet werden können,
stehen zur Verfügung:

*Exits:*
CR Return to main menu        -Rückkehr zum Hauptmenü bei direktem
                                  Start von LAC,
CR Return to parent task      -bzw. Rückkehr zum aufrufenden Programm,
                                  falls von solchem gestartet.
^Z Return to main menu        -Rückkehr zum Hauptmenü.
^D Show matrix                -Wechsel zur "Hidden Lines" Darstellung.
                                  Dort gibt es ein eigenes Help,
                                  das mit ^H abgerufen werden kann.

*Specials:*
^T Zero spectrum              -Löschen des bearbeiteten Spektrums,
^T Not available in this context  jedoch nur wenn LAC durch ein Messprogramm
                                  gestartet wurde und die Messung nur ein
                                  "Test-Run" ist.

*Functions:*
^H Help                       -Auflisten der möglichen Kommandos.
^N Normalize all parameters   -Einstellen eines Standard-Display-Parametersatzes.
^B Backup parameter set; restore with ^L
                              -Retten des aktuellen Display-Parametersatzes.
^L Load parameter set; saved by ^B
                              -Laden des zuvor geretteten Parametersatzes.
^P Print screen               -druckt den Bildschirminhalt.
^R Refresh display            -neuer Bildaufbau.
SP Refresh display            -neuer Bildaufbau.

*Display commands:*
E  Expand matrix              -Vermehren der Matrixpunkte um den Faktor 4
                                  durch Auflösen je zweier zuvor zusammen-
                                  gefasster benachbarter Zeilen und Spalten.
C  Compress matrix            -Reduzieren der Matrixpunkte um den Faktor 4
                                  durch Zusammenfassen je zweier benachbarter
                                  Zeilen und Spalten.
U  Up Z                       -Dehnen der Z-Achse um den Faktor 1.2.
D  Down Z                     -Stauchen der Z-Achse um den Faktor 1.2.
N  Normalize Z                -Normieren des Z-Maßstabes auf den maximalen Z Wert.

*Display modes:*
X  LIN/LOG mode               -Lineare/logarithmische Darstellung in Z
T  Text on/off                -Ein- und Ausblenden des Textes.

   Kanäle und Spektren zählen von 1.

   Alle Kommandos können während des laufenden Bildaufbaus gegeben
werden. Dieser wird dadurch unterbrochen und das neue Kommando
ausgeführt.